#ifndef GLL_H
#define GLL_H

/* arbitrary linked list - all linked lists to have next as first element */
struct gll {
  void *next;
  /* stuff */
  unsigned short n;
};

#define GLL_LOOP(x,y) for (x = y; x; x = x->next)
#define GLL_CLOSED_LOOP(x,y) for (x = y; x && x->next; x = x->next)

GSM_API struct gll *gll_last(struct gll *);
GSM_API struct gll *gll_alloc();
GSM_API struct gll *gll_add(struct gll **);
GSM_API void gll_append(struct gll **, struct gll *);
GSM_API void gll_set_last(struct gll *, unsigned short);
GSM_API void gll_debug(struct gll *);
GSM_API void gll_free(struct gll *);

#endif
