#ifndef GSA_H
#define GSA_h
#include "data.h"

#define GSA_MAGIC "\xcf\xd0\x09\xa8\x2a\x1f\xd2\x11\x87\x49\x00\x20\xaf\xe6\x36\xee"
#define GSA_MAGIC_LEN 16
#define GSA_END_OF_BONE_STREAM 0xffff

GSM_API int read_gsa_file(struct gsm *);
GSM_API int parse_gsa(struct gsm *);
GSM_API void classify_gsa(struct gsm *);
GSM_API int describe_gsa(struct gsm *);
GSM_API void show_gsa(struct gsm *);
GSM_API void summarise_gsa(struct gsm *);
GSM_API int write_gsa_data(struct gsm *);
GSM_API int find_animated_bones(struct gsm *, struct skeleton *);

#endif
